#!/usr/bin/perl

# A simple streaming media server.
# Implements an MP3-over-HTTP server, using water
# marks to prevent the entire MP3 file from being
# buffered in memory.  The MediaConnection class
# may require tweaking if you want to serve a
# different file than the one it has hardcoded.
# Copyright 2004 by Rocco Caputo.  Free software.
# Same terms as Perl itself.  Have fun!

use warnings;
use strict;

use Server;

Server->spawn(
  BindPort  => 9999,
  ConnClass => "MediaConnection",
);
Server->run();
